# Interface methods for submodule: NrrdImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: NrrdImageIO
class NrrdImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SupportsDimension(self, arg0: int) -> bool:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

